# -*- encoding: utf-8 -*-
# stub: x25519-termux 1.1.0 ruby lib
# stub: ext/x25519_ref10/extconf.rb

Gem::Specification.new do |s|
  s.name = "x25519-termux".freeze
  s.version = "1.1.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Thomas Cowan".freeze]
  s.bindir = "exe".freeze
  s.date = "2020-04-21"
  s.description = "An efficient public key cryptography library for Ruby providing key exchange/agreement via the X25519 (a.k.a. Curve25519) Elliptic Curve Diffie-Hellman function as described in RFC 7748. Forked branch of crypto-rb/x25519 modified to work on termux or other platforms where compiling the precomputed C extension fails.".freeze
  s.email = ["thomas@corda.company".freeze]
  s.extensions = ["ext/x25519_ref10/extconf.rb".freeze]
  s.files = ["ext/x25519_ref10/extconf.rb".freeze]
  s.homepage = "https://github.com/tpcowan/x25519".freeze
  s.licenses = ["BSD-3-Clause".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.2.2".freeze)
  s.rubygems_version = "3.2.22".freeze
  s.summary = "Public key cryptography library providing the X25519 D-H function".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<bundler>.freeze, ["~> 2.0"])
  else
    s.add_dependency(%q<bundler>.freeze, ["~> 2.0"])
  end
end
